linux下Eric4的安装问题

Lyrus 发布于 2013/11/16 22:32
阅读 979
收藏 0

在进行Build and install QScintilla2 Python bindings这一步骤使用sudo python configure.py会报错

PyQt 4.9.1 is being used.

Qt 4.8.1 is being used.

QScintilla 2.8 is being used.
PyQt 4.9.1 is being used.
Qt v4.8.1 free edition is being used.
SIP 4.13.3 is being used.
The QScintilla module will be installed in
/usr/lib/python2.7/dist-packages/PyQt4.
The QScintilla API file will be installed in /usr/share/qt4/qsci/api/python.
The QScintilla .sip files will be installed in /usr/share/sip/PyQt4.
The QScintilla module is being built with generated docstrings.
The QScintilla module is being built with 'protected' redefined as 'public'.
Generating the C++ source for the Qsci module...
sip: Unable to find file "QtGui/QtGuimod.sip"
Error: Unable to create the C++ code.
请问如何解决?
加载中
0
Lyrus
Lyrus
木有人么?
0
Xana
Xana
你pyqt版本没问题么?
Lyrus
Lyrus
没问题 需要的库全部安装了 我google了一下翻译过来大概是 qscintilla需要在X flag关闭的情况下编译什么的 没明白什么意思。还有一个说是使用yum intsall PyQt4-devel,yum install PyQt-devel 但是提示没有这两个包
返回顶部
顶部